> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post locationsmap locators

> This operation updates all Map Locator Image locations on each Location Map Image included in the
provided Update Venue Maps argument.

The Update Venue Maps argument includes a list of Update Map Locators values. Each of these values includes a Location Map Image Data value,
which is the base image on which the resource locator images will be laid out, and a list of locators which provide the details of how each map locator
image will be drawn over the base map image.

This operation requires a Update Venue Maps value.

The requesting User must have the following rights to perform this task:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /locations/map-locators
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /locations/map-locators:
    post:
      tags:
        - LocationService
      description: >-
        This operation updates all Map Locator Image locations on each Location
        Map Image included in the

        provided Update Venue Maps argument.


        The Update Venue Maps argument includes a list of Update Map Locators
        values. Each of these values includes a Location Map Image Data value,

        which is the base image on which the resource locator images will be
        laid out, and a list of locators which provide the details of how each
        map locator

        image will be drawn over the base map image.


        This operation requires a Update Venue Maps value.


        The requesting User must have the following rights to perform this task:
      operationId: updateVenueMapLocators
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidVenueNode: 12345
                  mapLocators:
                    - locationMap:
                        thumbnailSource: ...
                        imageSource: ...
                        defaultImage: true
                        sysidLocatorNode: 12345
                        name: ...
                        description: ...
                        sysidLocationMapImage: 12345
                        height: 12345
                        width: 12345
                        displayOrder: 12345
                      locators:
                        - transparency: 12345
                          height: 12345
                          sysidMapImage: 12345
                          left: 12345
                          top: 12345
                          sysidLocatorImage: 12345
                          sysidLocationMapImageLocator: 12345
                          width: 12345
                          sysidResource: 12345
                          rotation: 12345
                        - transparency: 12345
                          height: 12345
                          sysidMapImage: 12345
                          left: 12345
                          top: 12345
                          sysidLocatorImage: 12345
                          sysidLocationMapImageLocator: 12345
                          width: 12345
                          sysidResource: 12345
                          rotation: 12345
                    - locationMap:
                        thumbnailSource: ...
                        imageSource: ...
                        defaultImage: true
                        sysidLocatorNode: 12345
                        name: ...
                        description: ...
                        sysidLocationMapImage: 12345
                        height: 12345
                        width: 12345
                        displayOrder: 12345
                      locators:
                        - transparency: 12345
                          height: 12345
                          sysidMapImage: 12345
                          left: 12345
                          top: 12345
                          sysidLocatorImage: 12345
                          sysidLocationMapImageLocator: 12345
                          width: 12345
                          sysidResource: 12345
                          rotation: 12345
                        - transparency: 12345
                          height: 12345
                          sysidMapImage: 12345
                          left: 12345
                          top: 12345
                          sysidLocatorImage: 12345
                          sysidLocationMapImageLocator: 12345
                          width: 12345
                          sysidResource: 12345
                          rotation: 12345
            schema:
              $ref: '#/components/schemas/UpdateVenueMaps'
      responses:
        '201':
          content: {}
          description: Success
components:
  schemas:
    UpdateVenueMaps:
      type: object
      title: UpdateVenueMaps
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidVenueNode:
              type: integer
              format: int32
            mapLocators:
              type: array
              items:
                $ref: '#/components/schemas/UpdateMapLocators'
      example:
        sysidVenueNode: 12345
        mapLocators:
          - locationMap:
              thumbnailSource: ...
              imageSource: ...
              defaultImage: true
              sysidLocatorNode: 12345
              name: ...
              description: ...
              sysidLocationMapImage: 12345
              height: 12345
              width: 12345
              displayOrder: 12345
            locators:
              - transparency: 12345
                height: 12345
                sysidMapImage: 12345
                left: 12345
                top: 12345
                sysidLocatorImage: 12345
                sysidLocationMapImageLocator: 12345
                width: 12345
                sysidResource: 12345
                rotation: 12345
              - transparency: 12345
                height: 12345
                sysidMapImage: 12345
                left: 12345
                top: 12345
                sysidLocatorImage: 12345
                sysidLocationMapImageLocator: 12345
                width: 12345
                sysidResource: 12345
                rotation: 12345
          - locationMap:
              thumbnailSource: ...
              imageSource: ...
              defaultImage: true
              sysidLocatorNode: 12345
              name: ...
              description: ...
              sysidLocationMapImage: 12345
              height: 12345
              width: 12345
              displayOrder: 12345
            locators:
              - transparency: 12345
                height: 12345
                sysidMapImage: 12345
                left: 12345
                top: 12345
                sysidLocatorImage: 12345
                sysidLocationMapImageLocator: 12345
                width: 12345
                sysidResource: 12345
                rotation: 12345
              - transparency: 12345
                height: 12345
                sysidMapImage: 12345
                left: 12345
                top: 12345
                sysidLocatorImage: 12345
                sysidLocationMapImageLocator: 12345
                width: 12345
                sysidResource: 12345
                rotation: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    UpdateMapLocators:
      type: object
      title: UpdateMapLocators
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            locationMap:
              $ref: '#/components/schemas/LocationMapImageData'
            locators:
              type: array
              items:
                $ref: '#/components/schemas/LocatorData'
      example:
        locationMap:
          thumbnailSource: ...
          imageSource: ...
          defaultImage: true
          sysidLocatorNode: 12345
          name: ...
          description: ...
          sysidLocationMapImage: 12345
          height: 12345
          width: 12345
          displayOrder: 12345
        locators:
          - transparency: 12345
            height: 12345
            sysidMapImage: 12345
            left: 12345
            top: 12345
            sysidLocatorImage: 12345
            sysidLocationMapImageLocator: 12345
            width: 12345
            sysidResource: 12345
            rotation: 12345
          - transparency: 12345
            height: 12345
            sysidMapImage: 12345
            left: 12345
            top: 12345
            sysidLocatorImage: 12345
            sysidLocationMapImageLocator: 12345
            width: 12345
            sysidResource: 12345
            rotation: 12345
    LocationMapImageData:
      type: object
      title: LocationMapImageData
      required:
        - defaultImage
        - height
        - width
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            thumbnailSource:
              type: string
            imageSource:
              type: string
            defaultImage:
              type: boolean
            sysidLocatorNode:
              type: integer
              format: int32
            name:
              type: string
            description:
              type: string
            sysidLocationMapImage:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
      example:
        thumbnailSource: ...
        imageSource: ...
        defaultImage: true
        sysidLocatorNode: 12345
        name: ...
        description: ...
        sysidLocationMapImage: 12345
        height: 12345
        width: 12345
        displayOrder: 12345
    LocatorData:
      type: object
      title: LocatorData
      required:
        - transparency
        - height
        - sysidMapImage
        - left
        - top
        - sysidLocatorImage
        - width
        - rotation
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            transparency:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            sysidMapImage:
              type: integer
              format: int32
            left:
              type: integer
              format: int32
            top:
              type: integer
              format: int32
            sysidLocatorImage:
              type: integer
              format: int32
            sysidLocationMapImageLocator:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
            sysidResource:
              type: integer
              format: int32
            rotation:
              type: integer
              format: int32
      example:
        transparency: 12345
        height: 12345
        sysidMapImage: 12345
        left: 12345
        top: 12345
        sysidLocatorImage: 12345
        sysidLocationMapImageLocator: 12345
        width: 12345
        sysidResource: 12345
        rotation: 12345

````